Bug 518238 - Review Request: backport-util-concurrent - Backport of java.util.concurrent API, introduced in Java 5.0
Summary: Review Request: backport-util-concurrent - Backport of java.util.concurrent A...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 429551
TreeView+ depends on / blocked
 
Reported: 2009-08-19 15:54 UTC by Andrew Overholt
Modified: 2009-08-25 18:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-25 18:58:06 UTC
jjohnstn: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Andrew Overholt 2009-08-19 15:54:16 UTC
Spec URL: http://overholt.fedorapeople.org/backport-util-concurrent.spec
SRPM URL: http://overholt.fedorapeople.org/backport-util-concurrent-3.1-2.src.rpm
Description: This package is the backport of java.util.concurrent API, introduced in Java 5.0, to Java 1.4. The backport is based on public-domain sources from the JSR 166 CVS repository, and the dl.util.concurrent package.

Comment 1 Jeff Johnston 2009-08-24 21:27:41 UTC
rpmlint successful

rpmlint backport-util-concurrent-3.1-2.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comments:

1. Add details of how SOURCE0 was created.

2. Change the description of javadoc sub-package to be:

   This package contains the API documentation for %{name}.

3. Add Requires: jpackage-utils

4. Why isn't the standard defattr used in %files?

Comment 3 Jeff Johnston 2009-08-24 22:33:11 UTC
(In reply to comment #2)
> Thanks.  All fixed:
> 
> http://overholt.fedorapeople.org/backport-util-concurrent.spec
> http://overholt.fedorapeople.org/backport-util-concurrent-3.1-3.src.rpm  

Ok, thanks.  Approval now pending a successful build.

Comment 4 Andrew Overholt 2009-08-24 22:38:17 UTC
This package should be buildable on F-11 or even on F-10.

Comment 5 Jeff Johnston 2009-08-25 16:09:03 UTC
build successful.  1 warning issued by rpmlint on the binary rpm.  If this is a meaningful warning please deal with it, otherwise I'll approve the package.

rpmlint -i *.rpm
backport-util-concurrent.noarch: W: non-conffile-in-etc /etc/maven/fragments/backport-util-concurrent
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

Comment 6 Andrew Overholt 2009-08-25 16:09:52 UTC
That's a standard ignorable warning with maven packages.

Comment 7 Jeff Johnston 2009-08-25 16:13:42 UTC
Ok, approved.

Comment 8 Andrew Overholt 2009-08-25 16:15:47 UTC
New Package CVS Request
=======================
Package Name: backport-util-concurrent
Short Description: Backport of java.util.concurrent API, introduced in Java 5.0
Owners: overholt, akurtakov
Branches: 
InitialCC:

Comment 9 Dennis Gilmore 2009-08-25 17:12:54 UTC
CVS Done

Comment 10 Andrew Overholt 2009-08-25 18:58:06 UTC
Built:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1633017


Note You need to log in before you can comment on or make changes to this bug.